
Gotify
===========

Gotify · a simple server for sending and receiving messages


## Configuration

The following table lists the configurable parameters of the Gotify chart and their default values.

| Parameter                | Description             | Default        |
| ------------------------ | ----------------------- | -------------- |
| `image.repository` |  | `"ghcr.io/gotify/server"` |
| `gotify.server.keepaliveperiodseconds` | 0 = use Go default (15s); -1 = disable keepalive; set the interval in which keepalive packets will be sent. Only change this value if you know what you are doing. | `0` |
| `gotify.server.listenaddr` | the address to bind on, leave empty to bind on all addresses. Prefix with "unix:" to create a unix socket. Example: "unix:/tmp/gotify.sock". | `""` |
| `gotify.server.port` | the port the HTTP server will listen on | `80` |
| `gotify.server.ssl.enabled` | if https should be enabled | `false` |
| `gotify.server.ssl.redirecttohttps` | redirect to https if site is accessed by http | `true` |
| `gotify.server.ssl.listenaddr` | the address to bind on, leave empty to bind on all addresses. Prefix with "unix:" to create a unix socket. Example: "unix:/tmp/gotify.sock". | `""` |
| `gotify.server.ssl.port` | the https port | `443` |
| `gotify.server.ssl.certfile` | the cert file (leave empty when using letsencrypt) | `null` |
| `gotify.server.ssl.certkey` | the cert key (leave empty when using letsencrypt) | `null` |
| `gotify.server.ssl.letsencrypt.enabled` | if the certificate should be requested from letsencrypt | `false` |
| `gotify.server.ssl.letsencrypt.accepttos` | if you accept the tos from letsencrypt | `false` |
| `gotify.server.ssl.letsencrypt.cache` | the directory of the cache from letsencrypt | `"data/certs"` |
| `gotify.server.ssl.letsencrypt.hosts` | the hosts for which letsencrypt should request certificates | `null` |
| `gotify.server.responseheaders` | response headers are added to every response (default: none) | `null` |
| `gotify.server.trustedproxies` | IPs or IP ranges of trusted proxies. Used to obtain the remote ip via the X-Forwarded-For header. (configure 127.0.0.1 to trust sockets) | `null` |
| `gotify.server.cors.alloworigins` |  | `null` |
| `gotify.server.cors.allowmethods` |  | `null` |
| `gotify.server.cors.allowheaders` |  | `null` |
| `gotify.server.stream.pingperiodseconds` | the interval in which websocket pings will be sent. Only change this value if you know what you are doing. | `45` |
| `gotify.server.stream.allowedorigins` | allowed origins for websocket connections (same origin is always allowed, default only same origin) | `null` |
| `gotify.database.dialect` |  | `"sqlite3"` |
| `gotify.database.connection` |  | `"data/gotify.db"` |
| `gotify.defaultuser.name` | the username of the default user | `"admin"` |
| `gotify.defaultuser.pass` | the password of the default user | `"admin"` |
| `gotify.passstrength` | the bcrypt password strength (higher = better but also slower) | `10` |
| `gotify.uploadedimagesdir` | the directory for storing uploaded images | `"data/images"` |
| `gotify.pluginsdir` | the directory where plugin resides (leave empty to disable plugins) | `"data/plugins"` |
| `gotify.registration` | enable registrations | `false` |
| `service.main.enabled` |  | `true` |
| `service.main.type` |  | `"ClusterIP"` |
| `service.main.annotations` |  | `{}` |
| `service.main.labels` |  | `{}` |
| `service.main.ports.http.port` |  | `80` |
| `ingress.enabled` |  | `false` |
| `ingress.service` | what service should the ingress target | `"http"` |
| `ingress.servicePort` |  | `80` |
| `ingress.className` |  | `""` |
| `ingress.annotations` |  | `{}` |
| `ingress.hosts` |  | `[{"host": "chart-example.local", "paths": [{"path": "/", "pathType": "ImplementationSpecific"}]}]` |
| `livenessProbe.httpGet.path` |  | `"/"` |
| `livenessProbe.httpGet.port` |  | `"http"` |
| `readinessProbe.httpGet.path` |  | `"/"` |
| `readinessProbe.httpGet.port` |  | `"http"` |





